--- title: "Upgrade NodePool" slug: "nks-upgradenodepool" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/nks-upgradenodepool" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Upgrade NodePool Available in VPC Upgrade the version of the NodePool registered in the cluster. You can also set values in case nodes are added or become unavailable during the upgrade. Note Before upgrading your NodePool, check for factors that may impact the service. For a detailed description of the check factors, see the [Ncloud Kubernetes Service User Guide](https://guide.ncloud-docs.com/docs/en/k8s-k8suse-nodepool#%EC%97%85%EA%B7%B8%EB%A0%88%EC%9D%B4%EB%93%9C-%EC%A0%84-%EC%A0%90%EA%B2%80). ## Requests The following describes the request format for the endpoint. The request format is as follows. | Method | URI | | --- | --- | | PATCH | /vnks/v2/clusters/{uuid}/node-pool/{instanceNo}/upgrade (Korea Region) | | PATCH | /vnks/sgn-v2/clusters/{uuid}/node-pool/{instanceNo}/upgrade (Singapore Region) | | PATCH | /vnks/jpn-v2/clusters/{uuid}/node-pool/{instanceNo}/upgrade (Japan Region) | ### Request headers For information about the headers common to all Ncloud Kubernetes Service APIs, see [Ncloud Kubernetes Service request headers](/docs/en/compute-vpckubernetesservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `uuid` | String | Required | Cluster's UUID - See [View cluster list](/docs/en/nks-getclusterlist) | | `instanceNo` | Integer | Required | NodePool instance number | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `k8sVersion` | String | Required | Kubernetes version to upgrade - Only within the cluster's version of Kubernetes | | `maxSurge` | Integer | Optional | Number of nodes that can be added during an upgrade - 0 to the current number of nodes (default: 1) | | `maxUnavailable` | Integer | Optional | Number of nodes you can afford to take out of service during an upgrade - 0 to the current number of nodes (default: 0) | ### Request example The following is a sample request. ``` curl --location --request PATCH 'https://nks.apigw.ntruss.com/vnks/v2/clusters/{uuid}/node-pool/{instanceNo}/upgrade?k8sVersion={version}&maxSurge=2&maxUnavailable=0' \ --header 'x-ncp-apigw-timestamp: {timestamp}' \ --header 'x-ncp-iam-access-key: {access key}' \ --header 'x-ncp-apigw-signature-v2: {API gateway signature}' ``` ## Responses The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "uuid": "string", "instanceNo": "integer" } ``` ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `uuid` | String | - | UUID of the cluster | | `instanceNo` | Integer | - | NodePool instance number | ### Response status codes For information about the HTTP status codes common to all Ncloud Kubernetes Service APIs, see [Ncloud Kubernetes Service response status codes](/docs/en/compute-vpckubernetesservice). ### Response example The following is a sample response. ``` { "uuid": "1a1111a1-4d44-99b9-88c8-9e99a99e9e99", "instanceNo": 23323233 } ```